#include "MQBasePlugin.h"

// CNX
class Snap2Near : public MQSelectPlugin
{
public:
	Snap2Near();
	virtual ~Snap2Near();

	virtual void GetPlugInID(DWORD *Product, DWORD *ID);
	virtual const char *GetPlugInName(void);
	virtual const wchar_t *EnumString(int index);
	virtual BOOL Execute(int index, MQDocument doc);

	BOOL main(cmq::CMQDocument &doc, int index);
private:
	cmq::CMQDocument doc;

	BOOL copyObjectNamesToClipboard(cmq::CMQDocument &doc);
	BOOL restoreObjectNamesFromClipboard(cmq::CMQDocument &doc);
	BOOL copyMaterialNamesToClipboard(cmq::CMQDocument &doc);
	BOOL restoreMaterialNamesFromClipboard(cmq::CMQDocument &doc);

	std::vector<cmq::oindex_t> getSelectedObjects(cmq::CMQDocument &doc);
	std::vector<cmq::mindex_t> getSelectedMaterials(cmq::CMQDocument &doc);
};
